<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class UserLevelSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Insert predefined user levels with the 'status' field
        DB::table('tbl_user_level')->insert([
            ['level_name' => 'Developer', 'status' => '1', 'created_at' => now(), 'updated_at' => now()],
            ['level_name' => 'Super Admin', 'status' => '1', 'created_at' => now(), 'updated_at' => now()],
            ['level_name' => 'Manager', 'status' => '1', 'created_at' => now(), 'updated_at' => now()],
            ['level_name' => 'Security Guard', 'status' => '1', 'created_at' => now(), 'updated_at' => now()],
            ['level_name' => 'Employee', 'status' => '1', 'created_at' => now(), 'updated_at' => now()],
            ['level_name' => 'Visitor', 'status' => '1', 'created_at' => now(), 'updated_at' => now()],
        ]);
    }
}